Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594486 - new ladvd version available
Summary: new ladvd version available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ladvd
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 20:08 UTC by sten
Modified: 2011-02-22 18:47 UTC (History)
2 users (show)

Fixed In Version: ladvd-0.9.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-22 18:47:43 UTC


Attachments (Terms of Use)

Description sten 2010-05-20 20:08:22 UTC
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3

ladvd 0.9.0 is now available, along with the new release I've got some 
small changes for the current specfile. The main things are the addition
of an libcap(-ng) dependency and the new cli, ladvdc.

Please merge this with the sysconfig default to '-a' (auto) which
should be suitable for most deployments. I'm unable to test the
fedora specific selinux stuff.

Reproducible: Always




--- ladvd.spec.orig     2010-05-20 21:58:12.000000000 +0200
+++ ladvd.spec.new      2010-05-20 22:02:54.000000000 +0200
@@ -8,7 +8,7 @@
 %define modulename ladvd

 Name:           ladvd
-Version:        0.8
+Version:        0.9.0
 Release:        1%{?dist}
 Summary:        CDP/LLDP sender for unix

@@ -23,7 +23,13 @@
 Source5:        %{modulename}.if
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

+BuildRequires:  pkgconfig
 BuildRequires:  libevent-devel
+%if 0%{?fedora} >= 12
+BuildRequires:  libcap-ng-devel
+%else
+BuildRequires:  libcap-devel
+%endif

 %bcond_without  fedora
 BuildRequires:  fedora-usermgmt-devel
@@ -154,9 +160,10 @@
 %doc doc/ChangeLog doc/README doc/LICENSE doc/TODO
 %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
 %{_initrddir}/%{name}
-%{_sbindir}/ladvd
-%{_mandir}/man8/ladvd.8*
-
+%{_sbindir}/%{name}
+%{_sbindir}/%{name}c
+%{_mandir}/man8/%{name}.8*
+%{_mandir}/man8/%{name}c.8*

 %files selinux
 %defattr(-,root,root,0755)
@@ -165,6 +172,9 @@


 %changelog
+* Thu May 20 2010 Sten Spans <sten@blinkenlights.nl> - 0.9.0-1
+- Rebase to new upstream release
+
 * Wed Aug 26 2009 Andreas Thienemann <andreas@bawue.net> - 0.8-1
 - Rebase to new upstream release

Comment 1 Bug Zapper 2010-07-30 11:40:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2011-02-13 15:26:54 UTC
ladvd-0.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ladvd-0.9.2-1.fc14

Comment 3 Fedora Update System 2011-02-14 20:26:37 UTC
ladvd-0.9.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ladvd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ladvd-0.9.2-1.fc14

Comment 4 Fedora Update System 2011-02-22 18:47:34 UTC
ladvd-0.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.